/* Указываем box sizing */
*,
*::before,
*::after {
	box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
	padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
	margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */

button {
	padding: 0;
	border: none;
	font: inherit;
	color: inherit;
	background-color: transparent;
	/* отображаем курсор в виде руки при наведении; некоторые
	считают, что необходимо оставлять стрелочный вид для кнопок */
	cursor: pointer;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
	list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
	text-decoration-skip-ink: auto;
}

/* Упрощаем работу с изображениями */
img {
	max-width: 100%;
	display: block;
}

/* Указываем понятную периодичность в потоке данных у article*/
article>*+* {
	margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
	font: inherit;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
	* {
		animation-duration: 0.01ms !important;
		animation-iteration-count: 1 !important;
		transition-duration: 0.01ms !important;
		scroll-behavior: auto !important;
	}
}

:root {
	--black: #161815;
	--white: #FFFFFF;
	--grey: #EDEDED;
	--yellow--gradient: #EFB100;
}

body {
	background-color: var(--black);
	overflow-x: hidden;
	width: 100vw;
	position: relative;
}

.texture {
	height: 100%;
	width: 100%;
	background: url(/img/bg-min.webp);
	opacity: .2;
	background-size: cover;
	z-index: 1000;
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none;
	mix-blend-mode: darken;
	z-index: 5;
}

.intro {
	width: 100%;
	z-index: 1;
	position: relative;
}

.intro img {
	object-fit: cover;
	width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
span,
td,
th,
li {
	font-family: 'Jost', sans-serif;
	color: var(--white);
}

p,
li {
	font-size: 20px;
}

h1 {
	font-size: 96px;
}

.name__smm {
	display: flex;
	align-items: center;
}

.name__smm svg {
	margin: 1rem;
	fill: var(--white);
	transition: all .3s ease;
}

.name__smm svg:hover {
	fill: var(--yellow--gradient);
}

.text__intro {
	position: absolute;
	max-width: 540px;
	top: 60%;
	left: 30%;
	margin-right: -50%;
	transform: translate(-50%, -50%);
	z-index: 10;
}

.retreat-item {
	position: relative;
	max-width: 380px;
	transition: all .3s ease;
}

.retreat-item:hover {
	transform: translateY(-69px);
}

.retreat-item img {
	border-radius: 10px;
	border: solid 1px #fff;
}

.black__gradient {
	position: absolute;
	width: 100%;
	left: 0;
	bottom: 0;
	height: 50%;
	background: linear-gradient(180deg, rgba(22, 24, 21, 0) 0%, rgba(22, 24, 21, 0.79) 52.6%, #161815 100%);
}

.short__info {
	text-align: center;
	position: absolute;
	top: 80%;
	left: 50%;
	margin-right: -50%;
	transform: translate(-50%, -50%);
	z-index: 10;
}

.short__info h3 {
	font-size: 40px;
}

section {
	max-width: 1500px;
	margin: auto;
	padding: 5rem 0;
	z-index: 10;
	position: relative;
}

.retreat__wrapper {
	display: flex;
	justify-content: space-around;
}

.retreat__wrapper a {
	width: 33%;
	margin: 1rem;
}

h5 {
	font-size: 96px;
}

.reviews__stars {
	display: flex;
}

.title {
	width: 70%;
}

.slider {
	width: 100%;
	margin: 25px auto;
	cursor: grab;
}

.slick-list {
	overflow: inherit;
}

.review__slider__item p,
.review__slider__item h5 {
	color: var(--black);
}

.review__slider__item h5 {
	font-size: 20px;
}

.review__slider__item {
	background: var(--grey);
	padding: 1rem;
	z-index: 1000;
	position: relative;
	display: block;
	border-radius: 10px;
	margin: 1rem;
}

.review__personal__information {
	display: flex;
	align-items: center;
	margin-bottom: 1rem;

}

.person {
	height: 70px;
	border-radius: 100px;
	margin-right: 1rem;
}

#review {
	z-index: 100;
}

.review__wrapper {
	overflow: hidden;
	z-index: 10;
}

.faq__flex {
	display: flex;
}

.faq__flex .img__faq {
	width: 50%;
	min-width: 50%;
	position: relative;
	margin-right: 2rem;
	height: fit-content;
}

.faq__flex .img__faq img {
	border-radius: 10px;
	border: solid 1px var(--white);
}

p.faq-answer,
.faq-asnwer {
	display: none;
}

.accordion:hover {
	cursor: pointer;
}

.accordion__answer {
	display: none;
	margin-bottom: 2rem;
}

.accordion.active .accordion__answer {
	display: block;
}

.faq-questions {
	margin: 1rem 0;
}

.underlining {
	width: 100%;
	height: 1px;
	background: linear-gradient(90deg, #D9D9D9 0%, rgba(217, 217, 217, 0) 100%);
	margin: 1rem 0;
}

h2 {
	font-size: 32px;
}

h3 {
	font-size: 20px;
	color: var(--white);
}

#page .short__info {
	width: 100%;
	position: relative;
	background-color: var(--white);
	padding: 1rem;
	border-radius: 1rem;
	margin-top: 5rem;
}

#page .short__info p {
	color: var(--black);
	text-align: start;
}

#page .short__info-flex,
#page .short__info-flex .item {
	display: flex;
}

#page .short__info-flex .item {
	align-items: center;
}

.sidebar {
	height: 100%;
	width: 30%;
	position: -webkit-sticky;
	/* for Safari users */
	position: sticky;
	top: 0px;
	float: right;
	padding-top: 40px;
	background-color: var(--white);
	padding: 2rem;
	overflow: hidden;
	border-radius: 1rem;
	top: 50px;
	margin: 2rem;
}

.body-text p,
.body-text li {
	font-weight: 300;
	padding: 1rem;
}

.sidebar h3,
.sidebar p,
.sidebar svg {
	color: var(--black);
	fill: var(--black);
}

.sidebar h3 {
	font-size: 64px;
}

.body-text {
	margin-right: 3rem;
	width: 65%;
	text-align: justify;
	margin-left: 2rem;
}

.bg-for-white {
	position: absolute;
	left: 0;
	top: 0;
	mix-blend-mode: difference;
	opacity: 0.2;
	height: 100%;
	pointer-events: none;
	width: 100%;
	border-radius: 1rem;
}

.btn {
	background: var(--black);
	color: var(--white);
	padding: 1rem 2rem;
	border-radius: .5rem;
	text-transform: uppercase;
	font-size: 20px;
	font-weight: 600;
	text-decoration: none;
	transition: all .3s ease;
}

#index h1 {
	text-transform: uppercase;
}

.btn:hover {
	background: var(--yellow--gradient);
	color: var(--black);
}

.price {
	margin-left: 1rem;
	font-size: 36px;
	font-weight: 700;
}

.btn__price {
	margin-top: 1rem;
	display: flex;
	align-items: center;
}

.page h1 {
	font-size: 64px;
}

@media screen and (max-width: 1500px) {
	.sidebar {
		width: 35%;
	}

	.body-text {
		width: 58%;
	}

	section {
		margin: 1rem;
	}
}

@media screen and (max-width: 1300px) {
	.body-text {
		display: block;
		width: auto;
		order: 1;
	}

	.body-text {
		margin-bottom: 300px;
	}

	/* .sidebar {
		position: relative;
		width: auto;
		float: none;
		order: 2;
		position: fixed;
		height: auto;
		z-index: 100;
		bottom: 0;
		top: inherit;
	} */
	.sidebar {
		width: auto;
		position: relative;
		float: none;
		order: 2;
	}

	#page section {
		display: flex;
		flex-direction: column;
	}
}

@media screen and (max-width: 768px) {
	.retreat__wrapper {
		flex-direction: column;
		margin-top: 100px;
	}

	.retreat__wrapper a {
		width: 100%;
		margin: 2rem 0;
	}

	section {
		padding: inherit;
	}

	#index h1 {
		font-size: 48px;

	}

	.reviews__stars,
	.faq__flex {
		flex-direction: column;
	}

	.faq__flex .img__faq {
		width: 100%;
	}

	/* .text__intro {
		max-width: 540px;
		top: 80%;
		left: 10%;
		z-index: 10;
		margin-right: 0;
		transform: inherit;
	} */
	.text__intro {
		bottom: -12rem;
		left: 50%;
		right: inherit;
		top: inherit;
		margin-right: -50%;
		transform: translate(-50%, -50%);
		padding: 1rem;
	}

	.retreat-item {
		margin: auto;
	}

	.intro {
		height: 50vh;
	}

	.intro img {
		height: 100%;
	}

	h1 {
		font-size: 34px;
	}

	.btn__price {
		align-items: flex-start;
		flex-direction: column;
	}

	#page .short__info-flex {
		display: flex;
		flex-direction: column;
	}

	#page .short__info-flex .item {
		align-items: center;
	}

	#page .short__info {
		margin-top: 8rem;
	}

	.body-text p,
	.body-text li {
		padding: 1rem 0;
	}

	#page p {
		font-size: 18px;
	}

	.svg {
		min-width: 60px;
	}

	.svg img {
		margin: auto;
	}

	.btn__price p {
		font-size: 36px !important;
	}

	.body-text {
		margin: 1rem;
	}

	.sidebar {
		margin: 1rem;
	}
}